| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
CoverageDependentSurfPhase::PolynomialDependency Struct Reference

A struct to store sets of parameters used in coverage-dependent enthalpy and entropy calculations by a polynomial equation or a linear equation in CoverageDependentSurfPhase. More...

`#include <CoverageDependentSurfPhase.h>`

## Detailed Description

A struct to store sets of parameters used in coverage-dependent enthalpy and entropy calculations by a polynomial equation or a linear equation in CoverageDependentSurfPhase.

Definition at line 132 of file CoverageDependentSurfPhase.h.

## Public Member Functions
| PolynomialDependency (size_t k, size_t j, const AnyMap &dep_map)

## Public Attributes
size_t | k
| index of a target species whose enthalpy and entropy is calculated
size_t | j
| index of a species whose coverage affects enthalpy and entropy of a target species
vector< double > | enthalpy_coeffs
| array of polynomial coefficients describing coverage-dependent enthalpy [J/kmol] in order of 1st-order, 2nd-order, 3rd-order, and 4th-order coefficients ( \( c^{(1)}, c^{(2)}, c^{(3)}, \text{ and } c^{(4)} \) in the linear or the polynomial dependency model)
vector< double > | entropy_coeffs
| array of polynomial coefficients describing coverage-dependent entropy [J/kmol/K] in order of 1st-order, 2nd-order, 3rd-order, and 4th-order coefficients ( \( c^{(1)}, c^{(2)}, c^{(3)}, \text{ and } c^{(4)} \) in the linear or the polynomial dependency model)
bool | isLinear
| boolean indicating whether the dependency is linear

## Constructor & Destructor Documentation

## ◆ PolynomialDependency()

PolynomialDependency | ( | size_t | k,
|  | size_t | j,
|  | const AnyMap & | dep_map
| ) |  |

Parameters

  k | index of a target species whose enthalpy and entropy are calculated
  j | index of a species whose coverage affects enthalpy and entropy of a target species
  dep_map | map of coverage-dependency parameters

Definition at line 25 of file CoverageDependentSurfPhase.cpp.

## Member Data Documentation

## ◆ k

size_t k

index of a target species whose enthalpy and entropy is calculated

Definition at line 143 of file CoverageDependentSurfPhase.h.

## ◆ j

size_t j

index of a species whose coverage affects enthalpy and entropy of a target species

Definition at line 146 of file CoverageDependentSurfPhase.h.

## ◆ enthalpy_coeffs

vector<double> enthalpy_coeffs

array of polynomial coefficients describing coverage-dependent enthalpy [J/kmol] in order of 1st-order, 2nd-order, 3rd-order, and 4th-order coefficients ( \( c^{(1)}, c^{(2)}, c^{(3)}, \text{ and } c^{(4)} \) in the linear or the polynomial dependency model)

Definition at line 151 of file CoverageDependentSurfPhase.h.

## ◆ entropy_coeffs

vector<double> entropy_coeffs

array of polynomial coefficients describing coverage-dependent entropy [J/kmol/K] in order of 1st-order, 2nd-order, 3rd-order, and 4th-order coefficients ( \( c^{(1)}, c^{(2)}, c^{(3)}, \text{ and } c^{(4)} \) in the linear or the polynomial dependency model)

Definition at line 156 of file CoverageDependentSurfPhase.h.

## ◆ isLinear

bool isLinear

boolean indicating whether the dependency is linear

Definition at line 158 of file CoverageDependentSurfPhase.h.

The documentation for this struct was generated from the following files:

- CoverageDependentSurfPhase.h
- CoverageDependentSurfPhase.cpp